Skip to main content
GET
/
api
/
v1
/
contacts
/
{id}
/
detail
Get Contact Detail
curl --request GET \
  --url https://api.ravan.ai/api/v1/contacts/{id}/detail \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "<string>",
  "data": {
    "id": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "company": "<string>",
    "metadata": {},
    "total_calls": 123,
    "total_campaigns": 123,
    "last_call_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Path Parameters

id
string
required
Contact ID

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
Returned data.

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

Contact ID

Response

200 - application/json

Successful response

success
boolean
message
string
data
object